@import '_content/ChurchKeeper.Shared/ChurchKeeper.Shared.wuu9jfgtsu.bundle.scp.css';

/* _content/ChurchKeeper.Web/Components/Account/Pages/Login.razor.rz.scp.css */
/*Start Css: Login Form */
.login-form-container[b-aq7849zcqd] {
    background-color: rgba(108, 117, 125, 0.90); /* Gray with 15% opacity */
    backdrop-filter: blur(10px);
    border-radius: 8px;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.3);
    padding: 30px;
    max-width: 350px;
    /*margin: 100px auto;*/ /* Center the form */
}


    /* Styling input fields */
    .login-form-container input[type='text'][b-aq7849zcqd],
    .login-form-container input[type='password'][b-aq7849zcqd] {
        width: 100%;
        padding: 8px;
        margin-bottom: 15px;
        border: 1px solid #ddd;
        border-radius: 4px;
        box-sizing: border-box; /* Include padding and border in element's total width and height */
        box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.3);
    }

        .login-form-container input[type='text'][b-aq7849zcqd],
        .login-form-container input[type='password']:focus[b-aq7849zcqd] {
            outline: none;
            box-shadow: 0 0 0 1px rgba(135, 196, 64, 0.5);
        }

    /* Styling the submit button */
    .login-form-container button[type='submit'][b-aq7849zcqd] {
        background-color: var(--background-color-white, #ffffff);
        color: var(--text-gray,#6c757d);
        font-weight: 700;
        padding: 14px 20px;
        border: 1px solid slategrey;
        border-radius: 4px;
        cursor: pointer;
        width: 100%;
        font-size: 16px;
        transition: background-color 0.3s ease;
        box-shadow: 5px 5px 10px rgba(135, 196, 64, 0.3);
    }

        .login-form-container button[type='submit']:hover[b-aq7849zcqd] {
            background-color: var(--paragon-color-green, #87c440);
            color: var(--text-white, #ffffff);
            font-weight: 700;
        }

        .login-form-container button[type='submit']:focus[b-aq7849zcqd] {
            box-shadow: 5px 5px 10px rgba(135, 196, 64, 0.3);
            outline: none;
        }

    .login-form-container header[b-aq7849zcqd] {
        font-size: 1.5rem;
        color: var(--text-white, #87c440);
        text-shadow: 2x 2px 2px #000000;
        font-weight: 700;
        text-transform: uppercase;
        padding: 10px;
        margin: 5px;
        justify-content: center;
        text-align: center;
    }

    .login-form-container label[b-aq7849zcqd] {
        font-size: .7rem;
        color: var(--text-white, #ffffff);
        font-weight: 700;
        text-transform: uppercase;
        margin: 5px;
        justify-content: start;
    }

    .login-form-container ul[b-aq7849zcqd] {
        margin: 0; /* Removes default top, right, bottom, and left margins */
        padding: 0; /* Also remove default padding for consistent indentation */
        margin-top: 15px;
    }

    .login-form-container ul[b-aq7849zcqd], li[b-aq7849zcqd] {
        margin-left: 0px !important;
        font-size: .8rem;
        color: var(--text-white, #ffffff);
        text-decoration: none;
    }

    .login-form-container a[b-aq7849zcqd] {
        font-size: .8rem;
        color: var(--text-white, #ffffff);
        text-decoration: none;
    }

    .login-form-container .error-message[b-aq7849zcqd] {
        color: var(--text-yellow, #f7f139);
        font-size: 1rem;
        margin: 0px;
        padding: 0px;
        margin-bottom: 5px;
    }

    .login-form-container .success[b-aq7849zcqd] {
        color: var(--text-success, #02ab1e);
        font-size: 1rem;
        margin: 0px;
        padding: 0px;
        margin-bottom: 5px;
    }

/* End Css: Login Form */

*[b-aq7849zcqd], [b-aq7849zcqd]:after, [b-aq7849zcqd]:before {
    box-sizing: border-box;
}

@media (max-width: 767.98px) {
    .card .img-fit[b-aq7849zcqd] {
        aspect-ratio: 1.45/1;
    }
}

@media (min-width: 576px) {
    .all-variations-height[b-aq7849zcqd] {
        height: 1.7rem;
    }
}

@media (min-width: 576px) {
    .d-sm-block[b-aq7849zcqd] {
        display: block !important;
    }
}

@media (min-width: 576px) {
    .variation-more-height[b-aq7849zcqd] {
        height: 1.5rem;
    }
}

@media (min-width: 576px) {
    .mt-sm-0[b-aq7849zcqd], .my-sm-0[b-aq7849zcqd] {
        margin-top: 0 !important;
    }
}
/* _content/ChurchKeeper.Web/Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-ekyq1zngz7] {
    height: 100%;
    overflow: hidden;
    background-color: inherit;
}
[b-ekyq1zngz7] .page-layout,
[b-ekyq1zngz7] .page-layout > .dxbl-gridlayout-root,
[b-ekyq1zngz7] .layout-item {
    background-color: var(--bs-body-bg, var(--dxbl-body-bg, #fff));
}

[b-ekyq1zngz7] .content {
    padding: 1.1rem 2rem 0 2rem;
    overflow: auto;
}

@media (max-width: 1199.98px) {
    [b-ekyq1zngz7] .page-layout > .dxbl-gridlayout-root {
        grid-template-columns: minmax(0, 1fr) !important;
    }
}

[b-ekyq1zngz7] .fit-width {
    max-width: 100%;
}

[b-ekyq1zngz7] .mw-1100 {
    max-width: 1100px;
}
/* _content/ChurchKeeper.Web/Components/Layout/NavMenu.razor.rz.scp.css */
.sidebar[b-k8crafx4sj] {
    min-width: 200px;
    max-width: 200px;
    box-shadow: 0px 2px 8px 0px rgba(0, 0, 0, 0.16);
    transition: transform 0.1s ease-out;
    height: 100%;
    max-height: 100%;
    overflow: auto;
    background-color: var(--bs-body-bg, var(--dxbl-body-bg, #fff));
}

    .sidebar.collapse[b-k8crafx4sj] {
        display: none;
    }

    .sidebar.expand[b-k8crafx4sj] {
        display: block;
    }

@media (max-width: 1199.98px) {
    .sidebar[b-k8crafx4sj] {
        display: none;
    }

        .sidebar.expand[b-k8crafx4sj] {
            position: fixed;
            top: 3.5rem;
            left: 0;
            height: auto;
            min-width: 100%;
            z-index: 1050;
        }
}

[b-k8crafx4sj] .app-sidebar {
    --dxbl-treeview-spacing-x: 0.5rem;
    --dxbl-treeview-spacing-y: 1rem;
}

    [b-k8crafx4sj] .app-sidebar .root-item > :first-child {
        --dxbl-treeview-font-weight: 600;
    }
    [b-k8crafx4sj] .app-sidebar .root-item{
        color:black
    }

    [b-k8crafx4sj] .app-sidebar .root-item > :only-child:not(.dxbl-treeview-tmpl) > button {
        display: none;
    }

@media (max-width: 1199.98px) {
    [b-k8crafx4sj] .app-sidebar {
        padding-bottom: 0;
    }
}
/* _content/ChurchKeeper.Web/Pages/HouseholdEdit.razor.rz.scp.css */
.householdmembersgrid[b-bjndxbdsrp]{
    height:500px;
}
/* _content/ChurchKeeper.Web/Pages/PersonLookup.razor.rz.scp.css */
.persongridsize[b-kxi4z7azcb]{
    height:500px;
}
